Qt 5.6 | Qt 3D | C++ Classes | QStencilOpSeparate

Qt 5.6.3 Reference Documentation

# QStencilOpSeparate Class

(Qt3DRender::QStencilOpSeparate)

- List of all members, including inherited members

## Public Types

enum | StencilFaceMode { Front, Back, FrontAndBack }
enum | StencilOp { Zero, Keep, Replace, Incr, ..., Invert }

## Properties

- depthFail : StencilOp
- faceMode : const StencilFaceMode
- stencilDepthPass : StencilOp
- stencilFail : StencilOp

## Public Functions

| ~QStencilOpSeparate()
StencilOp | depthFail() const
StencilFaceMode | faceMode() const
StencilOp | stencilDepthPass() const
StencilOp | stencilFail() const

## Public Slots

void | setDepthFail(StencilOp op)
void | setStencilDepthPass(StencilOp op)
void | setStencilFail(StencilOp op)

## Signals

void | depthFailChanged(StencilOp depthFail)
void | faceModeChanged(StencilFaceMode faceMode)
void | stencilDepthPassChanged(StencilOp stencilDepthPass)
void | stencilFailChanged(StencilOp stencilFail)

## Member Type Documentation

### enum QStencilOpSeparate::StencilFaceMode

### enum QStencilOpSeparate::StencilOp

## Property Documentation

### depthFail : StencilOp

Access functions:

StencilOp | depthFail() const
void | setDepthFail(StencilOp op)

Notifier signal:

void | depthFailChanged(StencilOp depthFail)

### faceMode : const StencilFaceMode

Access functions:

StencilFaceMode | faceMode() const

Notifier signal:

void | faceModeChanged(StencilFaceMode faceMode)

### stencilDepthPass : StencilOp

Access functions:

StencilOp | stencilDepthPass() const
void | setStencilDepthPass(StencilOp op)

Notifier signal:

void | stencilDepthPassChanged(StencilOp stencilDepthPass)

### stencilFail : StencilOp

Access functions:

StencilOp | stencilFail() const
void | setStencilFail(StencilOp op)

Notifier signal:

void | stencilFailChanged(StencilOp stencilFail)

## Member Function Documentation

### QStencilOpSeparate::~QStencilOpSeparate()

Destroys the instance of QStencilOpSeparate.